<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>NANO102/112 BSP: UART Exported Constants</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../M0Banner_v2.jpg"/></td>
  <td id="projectalign">
   <div id="projectname">NANO102/112 BSP<span id="projectnumber">&#160;V3.04.000</span>
   </div>
   <div id="projectbrief">The Board Support Package for Nano102/112 Series</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',false,false,'search.php','Search');
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#groups">Modules</a> &#124;
<a href="#define-members">Macros</a>  </div>
  <div class="headertitle"><div class="title">UART Exported Constants<div class="ingroups"><a class="el" href="../../d8/dcc/group___n_a_n_o1_x2___device___driver.html">NANO102/112 Device Driver</a> &raquo; <a class="el" href="../../db/d9c/group___n_a_n_o1_x2___u_a_r_t___driver.html">UART Driver</a></div></div></div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Collaboration diagram for UART Exported Constants:</div>
<div class="dyncontent">
<div class="center"><img src="../../dc/d03/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.png" border="0" usemap="#adc_2d03_2group______n__a__n__o1__x2______u__a__r__t______e__x__p__o__r__t__e__d______c__o__n__s__t__a__n__t__s" alt=""/></div>
</div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="groups" name="groups"></a>
Modules</h2></td></tr>
<tr class="memitem:dc/d49/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d49/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html">UART Exported Functions</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="define-members" name="define-members"></a>
Macros</h2></td></tr>
<tr class="memitem:ga26c5e8b712a0a1db254ec39b7e7fff89"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d03/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga26c5e8b712a0a1db254ec39b7e7fff89">UART_WORD_LEN_5</a>&#160;&#160;&#160;(0)</td></tr>
<tr class="separator:ga26c5e8b712a0a1db254ec39b7e7fff89"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaf1774a8b00bf1193f4e3d124af968ab9"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d03/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaf1774a8b00bf1193f4e3d124af968ab9">UART_WORD_LEN_6</a>&#160;&#160;&#160;(1)</td></tr>
<tr class="separator:gaf1774a8b00bf1193f4e3d124af968ab9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaa05951c6ae838f19a4adad48172bd9db"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d03/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaa05951c6ae838f19a4adad48172bd9db">UART_WORD_LEN_7</a>&#160;&#160;&#160;(2)</td></tr>
<tr class="separator:gaa05951c6ae838f19a4adad48172bd9db"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga861ae53255163bf7cd2d80d913cebb1d"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d03/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga861ae53255163bf7cd2d80d913cebb1d">UART_WORD_LEN_8</a>&#160;&#160;&#160;(3)</td></tr>
<tr class="separator:ga861ae53255163bf7cd2d80d913cebb1d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga270dea6e1a92dd83fe58802450bdd60c"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d03/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga270dea6e1a92dd83fe58802450bdd60c">UART_PARITY_NONE</a>&#160;&#160;&#160;(0x0 &lt;&lt; <a class="el" href="../../da/d91/_nano1_x2_series_8h.html#a25569fc05783e11bac3ec3ca2c080bb5">UART_TLCTL_PBE_Pos</a>)</td></tr>
<tr class="separator:ga270dea6e1a92dd83fe58802450bdd60c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga229615e64964f68f7a856ea6ffea359e"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d03/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga229615e64964f68f7a856ea6ffea359e">UART_PARITY_ODD</a>&#160;&#160;&#160;(0x1 &lt;&lt; <a class="el" href="../../da/d91/_nano1_x2_series_8h.html#a25569fc05783e11bac3ec3ca2c080bb5">UART_TLCTL_PBE_Pos</a>)</td></tr>
<tr class="separator:ga229615e64964f68f7a856ea6ffea359e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga063b14ac42ef9e8f4246c17a586b14eb"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d03/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga063b14ac42ef9e8f4246c17a586b14eb">UART_PARITY_EVEN</a>&#160;&#160;&#160;(0x3 &lt;&lt; <a class="el" href="../../da/d91/_nano1_x2_series_8h.html#a25569fc05783e11bac3ec3ca2c080bb5">UART_TLCTL_PBE_Pos</a>)</td></tr>
<tr class="separator:ga063b14ac42ef9e8f4246c17a586b14eb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga8cb7d86a9ed87158677314c01f358cb6"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d03/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga8cb7d86a9ed87158677314c01f358cb6">UART_PARITY_MARK</a>&#160;&#160;&#160;(0x5 &lt;&lt; <a class="el" href="../../da/d91/_nano1_x2_series_8h.html#a25569fc05783e11bac3ec3ca2c080bb5">UART_TLCTL_PBE_Pos</a>)</td></tr>
<tr class="separator:ga8cb7d86a9ed87158677314c01f358cb6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga306c559681a17e95516d3a3f2f8533bb"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d03/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga306c559681a17e95516d3a3f2f8533bb">UART_PARITY_SPACE</a>&#160;&#160;&#160;(0x7 &lt;&lt; <a class="el" href="../../da/d91/_nano1_x2_series_8h.html#a25569fc05783e11bac3ec3ca2c080bb5">UART_TLCTL_PBE_Pos</a>)</td></tr>
<tr class="separator:ga306c559681a17e95516d3a3f2f8533bb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga58e87dcac022388ad406eb83031777db"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d03/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga58e87dcac022388ad406eb83031777db">UART_STOP_BIT_1</a>&#160;&#160;&#160;(0x0 &lt;&lt; <a class="el" href="../../da/d91/_nano1_x2_series_8h.html#ae048cfa8439191e68543ecc6a831302f">UART_TLCTL_NSB_Pos</a>)</td></tr>
<tr class="separator:ga58e87dcac022388ad406eb83031777db"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gab3aede405f7c8862476bfbd798997e81"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d03/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gab3aede405f7c8862476bfbd798997e81">UART_STOP_BIT_1_5</a>&#160;&#160;&#160;(0x1 &lt;&lt; <a class="el" href="../../da/d91/_nano1_x2_series_8h.html#ae048cfa8439191e68543ecc6a831302f">UART_TLCTL_NSB_Pos</a>)</td></tr>
<tr class="separator:gab3aede405f7c8862476bfbd798997e81"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gac4d9bc854560827e6f6cbfe23389674a"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d03/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gac4d9bc854560827e6f6cbfe23389674a">UART_STOP_BIT_2</a>&#160;&#160;&#160;(0x1 &lt;&lt; <a class="el" href="../../da/d91/_nano1_x2_series_8h.html#ae048cfa8439191e68543ecc6a831302f">UART_TLCTL_NSB_Pos</a>)</td></tr>
<tr class="separator:gac4d9bc854560827e6f6cbfe23389674a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaa2fb5416da8b1cdd9fd4ef00040c58b8"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d03/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaa2fb5416da8b1cdd9fd4ef00040c58b8">UART_TLCTL_RFITL_1BYTE</a>&#160;&#160;&#160;(0x0 &lt;&lt; <a class="el" href="../../da/d91/_nano1_x2_series_8h.html#abc23601de794039aeddbfc5ef2da0d99">UART_TLCTL_RFITL_Pos</a>)</td></tr>
<tr class="separator:gaa2fb5416da8b1cdd9fd4ef00040c58b8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga347bad481e9cb30ba2e8147798cb37c8"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d03/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga347bad481e9cb30ba2e8147798cb37c8">UART_TLCTL_RFITL_4BYTES</a>&#160;&#160;&#160;(0x1 &lt;&lt; <a class="el" href="../../da/d91/_nano1_x2_series_8h.html#abc23601de794039aeddbfc5ef2da0d99">UART_TLCTL_RFITL_Pos</a>)</td></tr>
<tr class="separator:ga347bad481e9cb30ba2e8147798cb37c8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga0092e543f2f3c78e153557cbfd6d3ab4"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d03/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga0092e543f2f3c78e153557cbfd6d3ab4">UART_TLCTL_RFITL_8BYTES</a>&#160;&#160;&#160;(0x2 &lt;&lt; <a class="el" href="../../da/d91/_nano1_x2_series_8h.html#abc23601de794039aeddbfc5ef2da0d99">UART_TLCTL_RFITL_Pos</a>)</td></tr>
<tr class="separator:ga0092e543f2f3c78e153557cbfd6d3ab4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaa6cd8dc91b5eb323ab13eac75ead25a2"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d03/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaa6cd8dc91b5eb323ab13eac75ead25a2">UART_TLCTL_RFITL_14BYTES</a>&#160;&#160;&#160;(0x3 &lt;&lt; <a class="el" href="../../da/d91/_nano1_x2_series_8h.html#abc23601de794039aeddbfc5ef2da0d99">UART_TLCTL_RFITL_Pos</a>)</td></tr>
<tr class="separator:gaa6cd8dc91b5eb323ab13eac75ead25a2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gac2c8a6dcfee4424ccd0b4a294a992073"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d03/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gac2c8a6dcfee4424ccd0b4a294a992073">UART_TLCTL_RTS_TRI_LEV_1BYTE</a>&#160;&#160;&#160;(0x0 &lt;&lt; <a class="el" href="../../da/d91/_nano1_x2_series_8h.html#a0617a984f007acc43892e20f27326ecd">UART_TLCTL_RTS_TRI_LEV_Pos</a>)</td></tr>
<tr class="separator:gac2c8a6dcfee4424ccd0b4a294a992073"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga0ab4f88daf875f8d7771977ad6d68c8c"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d03/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga0ab4f88daf875f8d7771977ad6d68c8c">UART_TLCTL_RTS_TRI_LEV_4BYTES</a>&#160;&#160;&#160;(0x1 &lt;&lt; <a class="el" href="../../da/d91/_nano1_x2_series_8h.html#a0617a984f007acc43892e20f27326ecd">UART_TLCTL_RTS_TRI_LEV_Pos</a>)</td></tr>
<tr class="separator:ga0ab4f88daf875f8d7771977ad6d68c8c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga8001d59ec9a045c5f547fcd0ded5b46a"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d03/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga8001d59ec9a045c5f547fcd0ded5b46a">UART_TLCTL_RTS_TRI_LEV_8BYTES</a>&#160;&#160;&#160;(0x2 &lt;&lt; <a class="el" href="../../da/d91/_nano1_x2_series_8h.html#a0617a984f007acc43892e20f27326ecd">UART_TLCTL_RTS_TRI_LEV_Pos</a>)</td></tr>
<tr class="separator:ga8001d59ec9a045c5f547fcd0ded5b46a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gad352ccf693cc547458485e7ba7b824c7"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d03/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gad352ccf693cc547458485e7ba7b824c7">UART_TLCTL_RTS_TRI_LEV_14BYTES</a>&#160;&#160;&#160;(0x3 &lt;&lt; <a class="el" href="../../da/d91/_nano1_x2_series_8h.html#a0617a984f007acc43892e20f27326ecd">UART_TLCTL_RTS_TRI_LEV_Pos</a>)</td></tr>
<tr class="separator:gad352ccf693cc547458485e7ba7b824c7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaf6092e01dd538b74460bf0a48d774882"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d03/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaf6092e01dd538b74460bf0a48d774882">UART_RTS_IS_HIGH_LEV_TRG</a>&#160;&#160;&#160;(0x1 &lt;&lt; <a class="el" href="../../da/d91/_nano1_x2_series_8h.html#af6afdfa5f148addce8b54214733920ff">UART_MCSR_LEV_RTS_Pos</a>)</td></tr>
<tr class="separator:gaf6092e01dd538b74460bf0a48d774882"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gae396db460cc40325e6ff48e101a12fa7"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d03/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gae396db460cc40325e6ff48e101a12fa7">UART_RTS_IS_LOW_LEV_TRG</a>&#160;&#160;&#160;(0x0 &lt;&lt; <a class="el" href="../../da/d91/_nano1_x2_series_8h.html#af6afdfa5f148addce8b54214733920ff">UART_MCSR_LEV_RTS_Pos</a>)</td></tr>
<tr class="separator:gae396db460cc40325e6ff48e101a12fa7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gac756ade4c2a338617e80a2fed0ef0049"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d03/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gac756ade4c2a338617e80a2fed0ef0049">UART_FUNC_SEL_UART</a>&#160;&#160;&#160;(0x0 &lt;&lt; <a class="el" href="../../da/d91/_nano1_x2_series_8h.html#a7da65ccd8e9d5ea59979b62a5b830a7b">UART_FUN_SEL_FUN_SEL_Pos</a>)</td></tr>
<tr class="separator:gac756ade4c2a338617e80a2fed0ef0049"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga0f46769716a711a74aab6d3884ca4e05"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d03/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga0f46769716a711a74aab6d3884ca4e05">UART_FUNC_SEL_LIN</a>&#160;&#160;&#160;(0x1 &lt;&lt; <a class="el" href="../../da/d91/_nano1_x2_series_8h.html#a7da65ccd8e9d5ea59979b62a5b830a7b">UART_FUN_SEL_FUN_SEL_Pos</a>)</td></tr>
<tr class="separator:ga0f46769716a711a74aab6d3884ca4e05"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gacd1f648a26d73fd1f47341109cc2278b"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d03/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gacd1f648a26d73fd1f47341109cc2278b">UART_FUNC_SEL_IrDA</a>&#160;&#160;&#160;(0x2 &lt;&lt; <a class="el" href="../../da/d91/_nano1_x2_series_8h.html#a7da65ccd8e9d5ea59979b62a5b830a7b">UART_FUN_SEL_FUN_SEL_Pos</a>)</td></tr>
<tr class="separator:gacd1f648a26d73fd1f47341109cc2278b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gae4d52ef14ffe0c22f147f339f0a46e1e"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d03/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gae4d52ef14ffe0c22f147f339f0a46e1e">UART_FUNC_SEL_RS485</a>&#160;&#160;&#160;(0x3 &lt;&lt; <a class="el" href="../../da/d91/_nano1_x2_series_8h.html#a7da65ccd8e9d5ea59979b62a5b830a7b">UART_FUN_SEL_FUN_SEL_Pos</a>)</td></tr>
<tr class="separator:gae4d52ef14ffe0c22f147f339f0a46e1e"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<h2 class="groupheader">Macro Definition Documentation</h2>
<a id="gacd1f648a26d73fd1f47341109cc2278b" name="gacd1f648a26d73fd1f47341109cc2278b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gacd1f648a26d73fd1f47341109cc2278b">&#9670;&nbsp;</a></span>UART_FUNC_SEL_IrDA</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define UART_FUNC_SEL_IrDA&#160;&#160;&#160;(0x2 &lt;&lt; <a class="el" href="../../da/d91/_nano1_x2_series_8h.html#a7da65ccd8e9d5ea59979b62a5b830a7b">UART_FUN_SEL_FUN_SEL_Pos</a>)</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >UART_FUN_SEL setting to set IrDA Function <br  />
 </p>

<p class="definition">Definition at line <a class="el" href="../../d2/d86/uart_8h_source.html#l00075">75</a> of file <a class="el" href="../../d2/d86/uart_8h_source.html">uart.h</a>.</p>

</div>
</div>
<a id="ga0f46769716a711a74aab6d3884ca4e05" name="ga0f46769716a711a74aab6d3884ca4e05"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga0f46769716a711a74aab6d3884ca4e05">&#9670;&nbsp;</a></span>UART_FUNC_SEL_LIN</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define UART_FUNC_SEL_LIN&#160;&#160;&#160;(0x1 &lt;&lt; <a class="el" href="../../da/d91/_nano1_x2_series_8h.html#a7da65ccd8e9d5ea59979b62a5b830a7b">UART_FUN_SEL_FUN_SEL_Pos</a>)</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >UART_FUN_SEL setting to set LIN Function <br  />
 </p>

<p class="definition">Definition at line <a class="el" href="../../d2/d86/uart_8h_source.html#l00074">74</a> of file <a class="el" href="../../d2/d86/uart_8h_source.html">uart.h</a>.</p>

</div>
</div>
<a id="gae4d52ef14ffe0c22f147f339f0a46e1e" name="gae4d52ef14ffe0c22f147f339f0a46e1e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gae4d52ef14ffe0c22f147f339f0a46e1e">&#9670;&nbsp;</a></span>UART_FUNC_SEL_RS485</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define UART_FUNC_SEL_RS485&#160;&#160;&#160;(0x3 &lt;&lt; <a class="el" href="../../da/d91/_nano1_x2_series_8h.html#a7da65ccd8e9d5ea59979b62a5b830a7b">UART_FUN_SEL_FUN_SEL_Pos</a>)</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >UART_FUN_SEL setting to set RS485 Function <br  />
 </p>

<p class="definition">Definition at line <a class="el" href="../../d2/d86/uart_8h_source.html#l00076">76</a> of file <a class="el" href="../../d2/d86/uart_8h_source.html">uart.h</a>.</p>

</div>
</div>
<a id="gac756ade4c2a338617e80a2fed0ef0049" name="gac756ade4c2a338617e80a2fed0ef0049"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gac756ade4c2a338617e80a2fed0ef0049">&#9670;&nbsp;</a></span>UART_FUNC_SEL_UART</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define UART_FUNC_SEL_UART&#160;&#160;&#160;(0x0 &lt;&lt; <a class="el" href="../../da/d91/_nano1_x2_series_8h.html#a7da65ccd8e9d5ea59979b62a5b830a7b">UART_FUN_SEL_FUN_SEL_Pos</a>)</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >UART_FUN_SEL setting to set UART Function (Default) </p>

<p class="definition">Definition at line <a class="el" href="../../d2/d86/uart_8h_source.html#l00073">73</a> of file <a class="el" href="../../d2/d86/uart_8h_source.html">uart.h</a>.</p>

</div>
</div>
<a id="ga063b14ac42ef9e8f4246c17a586b14eb" name="ga063b14ac42ef9e8f4246c17a586b14eb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga063b14ac42ef9e8f4246c17a586b14eb">&#9670;&nbsp;</a></span>UART_PARITY_EVEN</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define UART_PARITY_EVEN&#160;&#160;&#160;(0x3 &lt;&lt; <a class="el" href="../../da/d91/_nano1_x2_series_8h.html#a25569fc05783e11bac3ec3ca2c080bb5">UART_TLCTL_PBE_Pos</a>)</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >UART_TLCTL setting to set UART as even parity </p>

<p class="definition">Definition at line <a class="el" href="../../d2/d86/uart_8h_source.html#l00045">45</a> of file <a class="el" href="../../d2/d86/uart_8h_source.html">uart.h</a>.</p>

</div>
</div>
<a id="ga8cb7d86a9ed87158677314c01f358cb6" name="ga8cb7d86a9ed87158677314c01f358cb6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga8cb7d86a9ed87158677314c01f358cb6">&#9670;&nbsp;</a></span>UART_PARITY_MARK</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define UART_PARITY_MARK&#160;&#160;&#160;(0x5 &lt;&lt; <a class="el" href="../../da/d91/_nano1_x2_series_8h.html#a25569fc05783e11bac3ec3ca2c080bb5">UART_TLCTL_PBE_Pos</a>)</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >UART_TLCTL setting to keep parity bit as '1' <br  />
 </p>

<p class="definition">Definition at line <a class="el" href="../../d2/d86/uart_8h_source.html#l00046">46</a> of file <a class="el" href="../../d2/d86/uart_8h_source.html">uart.h</a>.</p>

</div>
</div>
<a id="ga270dea6e1a92dd83fe58802450bdd60c" name="ga270dea6e1a92dd83fe58802450bdd60c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga270dea6e1a92dd83fe58802450bdd60c">&#9670;&nbsp;</a></span>UART_PARITY_NONE</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define UART_PARITY_NONE&#160;&#160;&#160;(0x0 &lt;&lt; <a class="el" href="../../da/d91/_nano1_x2_series_8h.html#a25569fc05783e11bac3ec3ca2c080bb5">UART_TLCTL_PBE_Pos</a>)</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >UART_TLCTL setting to set UART as no parity <br  />
 </p>

<p class="definition">Definition at line <a class="el" href="../../d2/d86/uart_8h_source.html#l00043">43</a> of file <a class="el" href="../../d2/d86/uart_8h_source.html">uart.h</a>.</p>

</div>
</div>
<a id="ga229615e64964f68f7a856ea6ffea359e" name="ga229615e64964f68f7a856ea6ffea359e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga229615e64964f68f7a856ea6ffea359e">&#9670;&nbsp;</a></span>UART_PARITY_ODD</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define UART_PARITY_ODD&#160;&#160;&#160;(0x1 &lt;&lt; <a class="el" href="../../da/d91/_nano1_x2_series_8h.html#a25569fc05783e11bac3ec3ca2c080bb5">UART_TLCTL_PBE_Pos</a>)</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >UART_TLCTL setting to set UART as odd parity <br  />
 </p>

<p class="definition">Definition at line <a class="el" href="../../d2/d86/uart_8h_source.html#l00044">44</a> of file <a class="el" href="../../d2/d86/uart_8h_source.html">uart.h</a>.</p>

</div>
</div>
<a id="ga306c559681a17e95516d3a3f2f8533bb" name="ga306c559681a17e95516d3a3f2f8533bb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga306c559681a17e95516d3a3f2f8533bb">&#9670;&nbsp;</a></span>UART_PARITY_SPACE</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define UART_PARITY_SPACE&#160;&#160;&#160;(0x7 &lt;&lt; <a class="el" href="../../da/d91/_nano1_x2_series_8h.html#a25569fc05783e11bac3ec3ca2c080bb5">UART_TLCTL_PBE_Pos</a>)</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >UART_TLCTL setting to keep parity bit as '0' <br  />
 </p>

<p class="definition">Definition at line <a class="el" href="../../d2/d86/uart_8h_source.html#l00047">47</a> of file <a class="el" href="../../d2/d86/uart_8h_source.html">uart.h</a>.</p>

</div>
</div>
<a id="gaf6092e01dd538b74460bf0a48d774882" name="gaf6092e01dd538b74460bf0a48d774882"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gaf6092e01dd538b74460bf0a48d774882">&#9670;&nbsp;</a></span>UART_RTS_IS_HIGH_LEV_TRG</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define UART_RTS_IS_HIGH_LEV_TRG&#160;&#160;&#160;(0x1 &lt;&lt; <a class="el" href="../../da/d91/_nano1_x2_series_8h.html#af6afdfa5f148addce8b54214733920ff">UART_MCSR_LEV_RTS_Pos</a>)</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >Set RTS is High Level Trigger <br  />
 </p>

<p class="definition">Definition at line <a class="el" href="../../d2/d86/uart_8h_source.html#l00067">67</a> of file <a class="el" href="../../d2/d86/uart_8h_source.html">uart.h</a>.</p>

</div>
</div>
<a id="gae396db460cc40325e6ff48e101a12fa7" name="gae396db460cc40325e6ff48e101a12fa7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gae396db460cc40325e6ff48e101a12fa7">&#9670;&nbsp;</a></span>UART_RTS_IS_LOW_LEV_TRG</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define UART_RTS_IS_LOW_LEV_TRG&#160;&#160;&#160;(0x0 &lt;&lt; <a class="el" href="../../da/d91/_nano1_x2_series_8h.html#af6afdfa5f148addce8b54214733920ff">UART_MCSR_LEV_RTS_Pos</a>)</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >Set RTS is Low Level Trigger <br  />
 </p>

<p class="definition">Definition at line <a class="el" href="../../d2/d86/uart_8h_source.html#l00068">68</a> of file <a class="el" href="../../d2/d86/uart_8h_source.html">uart.h</a>.</p>

</div>
</div>
<a id="ga58e87dcac022388ad406eb83031777db" name="ga58e87dcac022388ad406eb83031777db"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga58e87dcac022388ad406eb83031777db">&#9670;&nbsp;</a></span>UART_STOP_BIT_1</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define UART_STOP_BIT_1&#160;&#160;&#160;(0x0 &lt;&lt; <a class="el" href="../../da/d91/_nano1_x2_series_8h.html#ae048cfa8439191e68543ecc6a831302f">UART_TLCTL_NSB_Pos</a>)</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >UART_TLCTL setting for one stop bit <br  />
 </p>

<p class="definition">Definition at line <a class="el" href="../../d2/d86/uart_8h_source.html#l00049">49</a> of file <a class="el" href="../../d2/d86/uart_8h_source.html">uart.h</a>.</p>

</div>
</div>
<a id="gab3aede405f7c8862476bfbd798997e81" name="gab3aede405f7c8862476bfbd798997e81"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gab3aede405f7c8862476bfbd798997e81">&#9670;&nbsp;</a></span>UART_STOP_BIT_1_5</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define UART_STOP_BIT_1_5&#160;&#160;&#160;(0x1 &lt;&lt; <a class="el" href="../../da/d91/_nano1_x2_series_8h.html#ae048cfa8439191e68543ecc6a831302f">UART_TLCTL_NSB_Pos</a>)</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >UART_TLCTL setting for 1.5 stop bit when 5-bit word length <br  />
 </p>

<p class="definition">Definition at line <a class="el" href="../../d2/d86/uart_8h_source.html#l00050">50</a> of file <a class="el" href="../../d2/d86/uart_8h_source.html">uart.h</a>.</p>

</div>
</div>
<a id="gac4d9bc854560827e6f6cbfe23389674a" name="gac4d9bc854560827e6f6cbfe23389674a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gac4d9bc854560827e6f6cbfe23389674a">&#9670;&nbsp;</a></span>UART_STOP_BIT_2</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define UART_STOP_BIT_2&#160;&#160;&#160;(0x1 &lt;&lt; <a class="el" href="../../da/d91/_nano1_x2_series_8h.html#ae048cfa8439191e68543ecc6a831302f">UART_TLCTL_NSB_Pos</a>)</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >UART_TLCTL setting for two stop bit when 6, 7, 8-bit word length </p>

<p class="definition">Definition at line <a class="el" href="../../d2/d86/uart_8h_source.html#l00051">51</a> of file <a class="el" href="../../d2/d86/uart_8h_source.html">uart.h</a>.</p>

</div>
</div>
<a id="gaa6cd8dc91b5eb323ab13eac75ead25a2" name="gaa6cd8dc91b5eb323ab13eac75ead25a2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gaa6cd8dc91b5eb323ab13eac75ead25a2">&#9670;&nbsp;</a></span>UART_TLCTL_RFITL_14BYTES</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define UART_TLCTL_RFITL_14BYTES&#160;&#160;&#160;(0x3 &lt;&lt; <a class="el" href="../../da/d91/_nano1_x2_series_8h.html#abc23601de794039aeddbfc5ef2da0d99">UART_TLCTL_RFITL_Pos</a>)</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >UART_TLCTL setting to set RX FIFO Trigger Level to 14 bits </p>

<p class="definition">Definition at line <a class="el" href="../../d2/d86/uart_8h_source.html#l00056">56</a> of file <a class="el" href="../../d2/d86/uart_8h_source.html">uart.h</a>.</p>

</div>
</div>
<a id="gaa2fb5416da8b1cdd9fd4ef00040c58b8" name="gaa2fb5416da8b1cdd9fd4ef00040c58b8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gaa2fb5416da8b1cdd9fd4ef00040c58b8">&#9670;&nbsp;</a></span>UART_TLCTL_RFITL_1BYTE</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define UART_TLCTL_RFITL_1BYTE&#160;&#160;&#160;(0x0 &lt;&lt; <a class="el" href="../../da/d91/_nano1_x2_series_8h.html#abc23601de794039aeddbfc5ef2da0d99">UART_TLCTL_RFITL_Pos</a>)</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >UART_TLCTL setting to set RX FIFO Trigger Level to 1 bit </p>

<p class="definition">Definition at line <a class="el" href="../../d2/d86/uart_8h_source.html#l00053">53</a> of file <a class="el" href="../../d2/d86/uart_8h_source.html">uart.h</a>.</p>

</div>
</div>
<a id="ga347bad481e9cb30ba2e8147798cb37c8" name="ga347bad481e9cb30ba2e8147798cb37c8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga347bad481e9cb30ba2e8147798cb37c8">&#9670;&nbsp;</a></span>UART_TLCTL_RFITL_4BYTES</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define UART_TLCTL_RFITL_4BYTES&#160;&#160;&#160;(0x1 &lt;&lt; <a class="el" href="../../da/d91/_nano1_x2_series_8h.html#abc23601de794039aeddbfc5ef2da0d99">UART_TLCTL_RFITL_Pos</a>)</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >UART_TLCTL setting to set RX FIFO Trigger Level to 4 bits </p>

<p class="definition">Definition at line <a class="el" href="../../d2/d86/uart_8h_source.html#l00054">54</a> of file <a class="el" href="../../d2/d86/uart_8h_source.html">uart.h</a>.</p>

</div>
</div>
<a id="ga0092e543f2f3c78e153557cbfd6d3ab4" name="ga0092e543f2f3c78e153557cbfd6d3ab4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga0092e543f2f3c78e153557cbfd6d3ab4">&#9670;&nbsp;</a></span>UART_TLCTL_RFITL_8BYTES</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define UART_TLCTL_RFITL_8BYTES&#160;&#160;&#160;(0x2 &lt;&lt; <a class="el" href="../../da/d91/_nano1_x2_series_8h.html#abc23601de794039aeddbfc5ef2da0d99">UART_TLCTL_RFITL_Pos</a>)</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >UART_TLCTL setting to set RX FIFO Trigger Level to 8 bits </p>

<p class="definition">Definition at line <a class="el" href="../../d2/d86/uart_8h_source.html#l00055">55</a> of file <a class="el" href="../../d2/d86/uart_8h_source.html">uart.h</a>.</p>

</div>
</div>
<a id="gad352ccf693cc547458485e7ba7b824c7" name="gad352ccf693cc547458485e7ba7b824c7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gad352ccf693cc547458485e7ba7b824c7">&#9670;&nbsp;</a></span>UART_TLCTL_RTS_TRI_LEV_14BYTES</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define UART_TLCTL_RTS_TRI_LEV_14BYTES&#160;&#160;&#160;(0x3 &lt;&lt; <a class="el" href="../../da/d91/_nano1_x2_series_8h.html#a0617a984f007acc43892e20f27326ecd">UART_TLCTL_RTS_TRI_LEV_Pos</a>)</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >UART_TLCTL setting to set RTS Trigger Level to 14 bits </p>

<p class="definition">Definition at line <a class="el" href="../../d2/d86/uart_8h_source.html#l00061">61</a> of file <a class="el" href="../../d2/d86/uart_8h_source.html">uart.h</a>.</p>

</div>
</div>
<a id="gac2c8a6dcfee4424ccd0b4a294a992073" name="gac2c8a6dcfee4424ccd0b4a294a992073"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gac2c8a6dcfee4424ccd0b4a294a992073">&#9670;&nbsp;</a></span>UART_TLCTL_RTS_TRI_LEV_1BYTE</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define UART_TLCTL_RTS_TRI_LEV_1BYTE&#160;&#160;&#160;(0x0 &lt;&lt; <a class="el" href="../../da/d91/_nano1_x2_series_8h.html#a0617a984f007acc43892e20f27326ecd">UART_TLCTL_RTS_TRI_LEV_Pos</a>)</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >UART_TLCTL setting to set RTS Trigger Level to 1 bit </p>

<p class="definition">Definition at line <a class="el" href="../../d2/d86/uart_8h_source.html#l00058">58</a> of file <a class="el" href="../../d2/d86/uart_8h_source.html">uart.h</a>.</p>

</div>
</div>
<a id="ga0ab4f88daf875f8d7771977ad6d68c8c" name="ga0ab4f88daf875f8d7771977ad6d68c8c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga0ab4f88daf875f8d7771977ad6d68c8c">&#9670;&nbsp;</a></span>UART_TLCTL_RTS_TRI_LEV_4BYTES</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define UART_TLCTL_RTS_TRI_LEV_4BYTES&#160;&#160;&#160;(0x1 &lt;&lt; <a class="el" href="../../da/d91/_nano1_x2_series_8h.html#a0617a984f007acc43892e20f27326ecd">UART_TLCTL_RTS_TRI_LEV_Pos</a>)</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >UART_TLCTL setting to set RTS Trigger Level to 4 bits </p>

<p class="definition">Definition at line <a class="el" href="../../d2/d86/uart_8h_source.html#l00059">59</a> of file <a class="el" href="../../d2/d86/uart_8h_source.html">uart.h</a>.</p>

</div>
</div>
<a id="ga8001d59ec9a045c5f547fcd0ded5b46a" name="ga8001d59ec9a045c5f547fcd0ded5b46a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga8001d59ec9a045c5f547fcd0ded5b46a">&#9670;&nbsp;</a></span>UART_TLCTL_RTS_TRI_LEV_8BYTES</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define UART_TLCTL_RTS_TRI_LEV_8BYTES&#160;&#160;&#160;(0x2 &lt;&lt; <a class="el" href="../../da/d91/_nano1_x2_series_8h.html#a0617a984f007acc43892e20f27326ecd">UART_TLCTL_RTS_TRI_LEV_Pos</a>)</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >UART_TLCTL setting to set RTS Trigger Level to 8 bits </p>

<p class="definition">Definition at line <a class="el" href="../../d2/d86/uart_8h_source.html#l00060">60</a> of file <a class="el" href="../../d2/d86/uart_8h_source.html">uart.h</a>.</p>

</div>
</div>
<a id="ga26c5e8b712a0a1db254ec39b7e7fff89" name="ga26c5e8b712a0a1db254ec39b7e7fff89"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga26c5e8b712a0a1db254ec39b7e7fff89">&#9670;&nbsp;</a></span>UART_WORD_LEN_5</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define UART_WORD_LEN_5&#160;&#160;&#160;(0)</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >UART_TLCTL setting to set UART word length to 5 bits </p>

<p class="definition">Definition at line <a class="el" href="../../d2/d86/uart_8h_source.html#l00038">38</a> of file <a class="el" href="../../d2/d86/uart_8h_source.html">uart.h</a>.</p>

</div>
</div>
<a id="gaf1774a8b00bf1193f4e3d124af968ab9" name="gaf1774a8b00bf1193f4e3d124af968ab9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gaf1774a8b00bf1193f4e3d124af968ab9">&#9670;&nbsp;</a></span>UART_WORD_LEN_6</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define UART_WORD_LEN_6&#160;&#160;&#160;(1)</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >UART_TLCTL setting to set UART word length to 6 bits </p>

<p class="definition">Definition at line <a class="el" href="../../d2/d86/uart_8h_source.html#l00039">39</a> of file <a class="el" href="../../d2/d86/uart_8h_source.html">uart.h</a>.</p>

</div>
</div>
<a id="gaa05951c6ae838f19a4adad48172bd9db" name="gaa05951c6ae838f19a4adad48172bd9db"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gaa05951c6ae838f19a4adad48172bd9db">&#9670;&nbsp;</a></span>UART_WORD_LEN_7</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define UART_WORD_LEN_7&#160;&#160;&#160;(2)</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >UART_TLCTL setting to set UART word length to 7 bits </p>

<p class="definition">Definition at line <a class="el" href="../../d2/d86/uart_8h_source.html#l00040">40</a> of file <a class="el" href="../../d2/d86/uart_8h_source.html">uart.h</a>.</p>

</div>
</div>
<a id="ga861ae53255163bf7cd2d80d913cebb1d" name="ga861ae53255163bf7cd2d80d913cebb1d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga861ae53255163bf7cd2d80d913cebb1d">&#9670;&nbsp;</a></span>UART_WORD_LEN_8</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define UART_WORD_LEN_8&#160;&#160;&#160;(3)</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >UART_TLCTL setting to set UART word length to 8 bits </p>

<p class="definition">Definition at line <a class="el" href="../../d2/d86/uart_8h_source.html#l00041">41</a> of file <a class="el" href="../../d2/d86/uart_8h_source.html">uart.h</a>.</p>

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Oct 18 2024 12:20:33 for NANO102/112 BSP by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
